Appearance
Conversation Feedback API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| create | POST /feedback | Create |
| deleteFeedback | DELETE /feedback/ | Delete Feedback |
| getFeedback | GET /feedback/ | Get Feedback |
| listFeedback | GET /feedback | List Feedback |
| updateFeedback | PUT /feedback/ | Update Feedback |
create
ConversationFeedback create(conversationFeedbackCreate)
Save feedback for a specific conversation
Example
typescript
import { createConfiguration, ConversationFeedbackApi } from '';
import type { ConversationFeedbackApiCreateRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ConversationFeedbackApi(configuration);
const request: ConversationFeedbackApiCreateRequest = {
conversationFeedbackCreate: {
conversationId: "conversationId_example",
data: null,
},
};
const data = await apiInstance.create(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| conversationFeedbackCreate | ConversationFeedbackCreate |
Return type
ConversationFeedback
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
deleteFeedback
any deleteFeedback()
Example
typescript
import { createConfiguration, ConversationFeedbackApi } from '';
import type { ConversationFeedbackApiDeleteFeedbackRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ConversationFeedbackApi(configuration);
const request: ConversationFeedbackApiDeleteFeedbackRequest = {
feedbackId: "feedback_id_example",
};
const data = await apiInstance.deleteFeedback(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| feedbackId | [string] | defaults to undefined |
Return type
any
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
getFeedback
ConversationFeedback getFeedback()
Example
typescript
import { createConfiguration, ConversationFeedbackApi } from '';
import type { ConversationFeedbackApiGetFeedbackRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ConversationFeedbackApi(configuration);
const request: ConversationFeedbackApiGetFeedbackRequest = {
conversationId: "conversation_id_example",
};
const data = await apiInstance.getFeedback(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| conversationId | [string] | defaults to undefined |
Return type
ConversationFeedback
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
listFeedback
PageConversationFeedback listFeedback()
Example
typescript
import { createConfiguration, ConversationFeedbackApi } from '';
import type { ConversationFeedbackApiListFeedbackRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ConversationFeedbackApi(configuration);
const request: ConversationFeedbackApiListFeedbackRequest = {
// Comma-separated list of studies IDs (optional)
id: "id_example",
// Comma-separated list of user IDs (optional)
userId: "user_id_example",
// Comma-separated list of userInterview IDs (optional)
userInterviewId: "userInterviewId_example",
// Comma-separated list of conversation IDs (optional)
conversationId: "conversationId_example",
// Filter by data type (optional)
dataType: "helpful",
// Page number (optional)
page: 1,
// Page size (optional)
size: 50,
};
const data = await apiInstance.listFeedback(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | [string] | Comma-separated list of studies IDs | (optional) defaults to undefined |
| userId | [string] | Comma-separated list of user IDs | (optional) defaults to undefined |
| userInterviewId | [string] | Comma-separated list of userInterview IDs | (optional) defaults to undefined |
| conversationId | [string] | Comma-separated list of conversation IDs | (optional) defaults to undefined |
| dataType | ConversationFeedbackType | Filter by data type | (optional) defaults to undefined |
| page | [number] | Page number | (optional) defaults to 1 |
| size | [number] | Page size | (optional) defaults to 50 |
Return type
PageConversationFeedback
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
updateFeedback
ConversationFeedback updateFeedback(conversationFeedbackUpdate)
Example
typescript
import { createConfiguration, ConversationFeedbackApi } from '';
import type { ConversationFeedbackApiUpdateFeedbackRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ConversationFeedbackApi(configuration);
const request: ConversationFeedbackApiUpdateFeedbackRequest = {
feedbackId: "feedback_id_example",
conversationFeedbackUpdate: {
data: null,
},
};
const data = await apiInstance.updateFeedback(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| conversationFeedbackUpdate | ConversationFeedbackUpdate | ||
| feedbackId | [string] | defaults to undefined |
Return type
ConversationFeedback
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |